
//=====================================================================================================================
/// @file		I2C_ATMEGA328P.h
///
/// @brief		Variables and functions for I2C Interface of atmega328p
///
/// @version	V1.0
///
/// @date		15.03.21
///
/// @author		Philipp Holle
//=====================================================================================================================
#ifndef I2C_ATMEGA328P_H_
#define I2C_ATMEGA328P_H_
//---------------------------------------------------------------------------------------------------------------------
// Includes
//---------------------------------------------------------------------------------------------------------------------
#include <stdint.h>
#include <stdlib.h>
#include <stdbool.h>
#include <avr/io.h>
#include "lorawan.h"
//---------------------------------------------------------------------------------------------------------------------
// Defines
//---------------------------------------------------------------------------------------------------------------------
#define	I2C_ADDRESS	0x02	//7-bit I2C adress
//---------------------------------------------------------------------------------------------------------------------
// Macros
//---------------------------------------------------------------------------------------------------------------------

//---------------------------------------------------------------------------------------------------------------------
// Global variables
//---------------------------------------------------------------------------------------------------------------------

//---------------------------------------------------------------------------------------------------------------------
// Prototypes of global functions
//---------------------------------------------------------------------------------------------------------------------
void I2cInit(uint8_t sysClock,uint16_t bitRate);
bool i2cTxMaster (uint8_t *firstelementofData,uint8_t lengthOfData,uint8_t address);
#endif
